﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Steema.TeeChart.WPF;
using Steema.TeeChart.WPF.Styles;
using System.IO;
using System.Windows.Markup;
using Steema.TeeChart.WPF.Tools;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        //TChart MyTChart;
        public MainWindow()
        {
            InitializeComponent();

            MyTChart.Aspect.View3D = false;
            MyTChart.Width = 400;
            MyTChart.Height = 300;
            MyTChart.Axes.Left.SetMinMax(0, 10);

            colorBand = new ColorBand();
            MyTChart.Tools.Add(colorBand);
            colorBand.Axis = MyTChart.Axes.Left;
            colorBand.Color = Colors.Green;
            colorBand.End = 7;
            colorBand.ResizeEnd = true;
            colorBand.ResizeStart = true;
            colorBand.Start = 3;
        }

        ColorBand colorBand;

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            MyTChart.Tools.Remove(colorBand);
        }
    }
}
